MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
Directory::LookupResult Struct Reference

`#include <Directory.hxx>`

Collaboration diagram for Directory::LookupResult:
[legend]

## Data Fields
Directory * | directory
| The last directory that was found. More...
const char * | uri
| The remaining URI part (without leading slash) or nullptr if the given URI was consumed completely. More...

## Detailed Description

Definition at line 158 of file Directory.hxx.

## Field Documentation

Directory* Directory::LookupResult::directory

The last directory that was found.

If the given URI could not be resolved at all, then this is the root directory.

Definition at line 164 of file Directory.hxx.

const char* Directory::LookupResult::uri

The remaining URI part (without leading slash) or nullptr if the given URI was consumed completely.

Definition at line 170 of file Directory.hxx.

The documentation for this struct was generated from the following file:

- db/plugins/simple/Directory.hxx